'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./FeatureSelector.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FeatureSelector = function (_Component) {
  _inherits(FeatureSelector, _Component);

  function FeatureSelector() {
    _classCallCheck(this, FeatureSelector);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  // constructor(props) {
  //   super(props);
  // }

  FeatureSelector.prototype.handleClick = function handleClick(e) {
    // e.preventDefault();
    this.props.onSelectedDataChange(e);
    // this.props.dispatch(selectLeapFeature(e));
  };

  FeatureSelector.prototype.render = function render() {
    var _this2 = this;

    return _react2.default.createElement(
      'div',
      { className: 'featureGroupName' },
      _react2.default.createElement(
        'div',
        null,
        this.props.label
      ),
      _react2.default.createElement(
        'div',
        { className: 'row' },
        _react2.default.createElement(
          'div',
          { id: 'ck-button1', className: 'ck-button' },
          _react2.default.createElement(
            'label',
            null,
            _react2.default.createElement('input', { type: 'checkbox',
              hidden: true, defaultChecked: this.props.selectedData.x,
              onClick: function onClick() {
                return _this2.handleClick(_this2.props.name + "x: " + _this2.props.x);
              } }),
            _react2.default.createElement(
              'span',
              { id: 'mySpan1' },
              this.props.x
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { id: 'ck-button2', className: 'ck-button' },
          _react2.default.createElement(
            'label',
            null,
            _react2.default.createElement('input', { type: 'checkbox',
              hidden: true, defaultChecked: this.props.selectedData.y,
              onClick: function onClick() {
                return _this2.handleClick(_this2.props.name + "y: " + _this2.props.y);
              } }),
            _react2.default.createElement(
              'span',
              { id: 'mySpan2' },
              this.props.y
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { id: 'ck-button3', className: 'ck-button' },
          _react2.default.createElement(
            'label',
            null,
            _react2.default.createElement('input', { type: 'checkbox',
              hidden: true, defaultChecked: this.props.selectedData.z,
              onClick: function onClick() {
                return _this2.handleClick(_this2.props.name + "z: " + _this2.props.z);
              } }),
            _react2.default.createElement(
              'span',
              { id: 'mySpan3' },
              this.props.z
            )
          )
        )
      )
    );
  };

  return FeatureSelector;
}(_react.Component);

exports.default = FeatureSelector;
module.exports = exports['default'];